MUBUSY(1)

NAME
mubusy - all purpose tool for dealing with PDF files

SYNOPSIS
mubusy <sub-command> [options]

DESCRIPTION
mubusy is a tool based on MuPDF for dealing with PDF files in various manners. There are several sub commands available, as described below.

CLEAN
mubusy clean [options] input.pdf [output.pdf] [pages]

The clean command pretty prints and rewrites the syntax of a PDF file. It can be used to repair broken files, expand compressed streams, filter out a range of pages, etc.

If no output file is specified, it will write the cleaned PDF to "out.pdf" in the current directory.

-p password
    Use the specified password if the file is encrypted.

-g  Garbage collect objects that have no references from other objects. Give the option twice to renumber all objects and compact the cross reference table. Give it three times to merge and reuse duplicate objects.

-d  Decompress streams. This will make the output file larger, but provides easy access for reading and editing the contents with a text editor.

pages
    Comma separated list of page ranges to include.

EXTRACT
TODO

INFO
TODO

POSTER
TODO

SHOW
mubusy show [options] file.pdf [object numbers ...]

The show command will print the specified objects and streams to stdout. Streams are decoded and non-printable characters are represented with a period by default.

-b  Print streams as binary data and omit the object header.

-e  Print streams in their original encoded (or compressed) form.

-p password
    Use the specified password if the file is encrypted.

Specify objects by number, or use one of the following special names:

'xref' or 'x'
    Print the cross reference table.

'trailer' or 't'
    Print the trailer dictionary.

'pages' or 'p'
    List the object numbers for every page.

'grep' or 'g'
    Print all the objects in the file in a compact one-line format suitable for piping to grep.

SEE ALSO
mupdf(1), mudraw(1).

AUTHOR
MuPDF is Copyright 2006-2012 Artifex Software, Inc.